Skip to main content
`Ctrl`+`K`

# DMPlexTransform

An object encapsulating a `DMPLEX` transformation

## Synopsis

    typedef struct _p_DMPlexTransform *DMPlexTransform;

## See Also

DM Basics, `DMPLEX`, `DMPlexTransformCreate()`, `DMPlexTransformType`

## Level

intermediate

## Location

include/petscdmplextransformtypes.h

## Examples

src/ts/tutorials/ex30.c
src/dm/impls/plex/tutorials/ex11.c
src/dm/label/tutorials/ex1.c

## Implementations

_p_DMPlexTransform in include/petsc/private/dmplextransformimpl.h
DMPlexTransform_Filter in include/petsc/private/dmplextransformimpl.h
DMPlexTransform_Extrude in include/petsc/private/dmplextransformimpl.h
DMPlexTransform_Cohesive in include/petsc/private/dmplextransformimpl.h

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages